#include "mainwindow.h"

#include <QApplication>
#include <QLocale>
#include <QTranslator>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QTranslator translator;
    const QStringList uiLanguages = QLocale::system().uiLanguages();
    for (const QString &locale : uiLanguages) {
        const QString baseName = "qt_mini_mw_meter_" + QLocale(locale).name();
        if (translator.load(":/i18n/" + baseName)) {
            a.installTranslator(&translator);
            break;
        }
    }
    MainWindow w;
#ifdef Q_OS_WIN
  a.setWindowIcon(QIcon(":images/appicon.png"));
  w.setWindowIcon(QIcon(":images/appicon.png"));
#else
  a.setWindowIcon(QIcon("/usr/share/pixmaps/minimwmeter.png"));
  w.setWindowIcon(QIcon("/usr/share/pixmaps/minimwmeter.png"));
#endif
  w.readSettings();
  w.show();
  return a.exec();
}
