#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>
#include <QMessageBox>
#include <QSettings>
#include <cmath>
#include <QCloseEvent>

#ifdef Q_OS_WIN
#include "win_modem.h"
#else
#include "lin_modem.h"
#endif

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
  Q_OBJECT

public:
  MainWindow(QWidget *parent = nullptr);
  ~MainWindow();
  void writeSettings();
  void readSettings();

private:
  Ui::MainWindow *ui;

  QString infoversion;
  QString infodatum;
  QString infotext;
  QStringList listtty;
  int idtty;
  bool bvantwort;
  bool bhwgefunden;
  bool befehlanfang, befehlende;
  unsigned char rxbuffer[100]; //maximale Anzahl
  int idxbufferwrite;
  int idxbufferread;
  QString geraet;
  QString qsbefehl;
  int version;
  bool bdbm12;
  double dbmad8307, dbmad8361;
  int dbmmax;

  Modem *picmodem;
  QString srs232;
  bool rs232isopen;
  bool tstop;
  bool sperresb;
  bool sperredsb;
  bool btip;

  QTimer *openttytimer;
  QTimer *rs232rxtimer;
  QTimer *delaytimer;

  void clrrxbuffer();
  void delay(int);
  QString mwatt2str(double);
  QString volt2str(double);
//  void tip(bool);

private slots:
  void fopentty();
  void rs232rxtimerstop();
  void setAText(QString stty);
  void delaytimerstop();
  void on_button_mfrq_clicked();
  void on_spinBox_valueChanged(int arg1);
  void on_doubleSpinBox_valueChanged(double arg1);
  void on_button_att_clicked();
  void tip(bool);

  void on_action_ber_QT_Mini_mW_Meter_triggered();

  void on_actionTip_triggered(bool checked);

  void on_actionAD8307_triggered();

  void on_actionAD8361_triggered();

protected:
  //virtual void resizeEvent( QResizeEvent *);
  //virtual void repaintEvent( QPaintEvent *);
  void closeEvent(QCloseEvent *event);
};
#endif // MAINWINDOW_H
